/*
 * Class BAG [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_292 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_292 [] = {0xFF01,237,291,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_292 [] = {0xFF01,291,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_292 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_292 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_292 [] = {0xFF01,291,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_292 [] = {0xFF01,291,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_292 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_292 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_292 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_292 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_292 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_292 [] = {291,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_292 [] = {0xFF01,291,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_292 [] = {0xFF01,288,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_292 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_292[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_292), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_292), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_292), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_292), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_292), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_292), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_292), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_292), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_292), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_292), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_292), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_292), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_292), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_292), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1851, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1854, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_292), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_292), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1923, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init292(void)
{
	IDSC(desc_292, 0, 291);
	IDSC(desc_292 + 1, 1, 291);
	IDSC(desc_292 + 32, 77, 291);
	IDSC(desc_292 + 41, 282, 291);
	IDSC(desc_292 + 50, 229, 291);
}


#ifdef __cplusplus
}
#endif
